uk.gov.hmrc.wco.dec.inventorylinking.movement.request

# InventoryLinkingMovementRequest

###
Related Docs: object InventoryLinkingMovementRequest | package request

#### case class InventoryLinkingMovementRequest(messageCode: String, agentDetails: Option[AgentDetails] = None, ucrBlock: UcrBlock, goodsLocation: String, goodsArrivalDateTime: Option[String] = None, goodsDepartureDateTime: Option[String] = None, shedOPID: Option[String] = None, masterUCR: Option[String] = None, masterOpt: Option[String] = None, movementReference: Option[String] = None, transportDetails: Option[TransportDetails] = None) extends JacksonMapper with Product with Serializable

Annotations
  @JsonIgnoreProperties() @JacksonXmlRootElement()

Linear Supertypes
Serializable, Serializable, Product, Equals, JacksonMapper, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InventoryLinkingMovementRequest
2. Serializable
3. Serializable
4. Product
5. Equals
6. JacksonMapper
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InventoryLinkingMovementRequest(messageCode: String, agentDetails: Option[AgentDetails] = None, ucrBlock: UcrBlock, goodsLocation: String, goodsArrivalDateTime: Option[String] = None, goodsDepartureDateTime: Option[String] = None, shedOPID: Option[String] = None, masterUCR: Option[String] = None, masterOpt: Option[String] = None, movementReference: Option[String] = None, transportDetails: Option[TransportDetails] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _props: JavaPropsMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

5. #### val _schema: JavaPropsSchema

   Attributes
     protected
   Definition Classes
     JacksonMapper

6. #### val _xml: ObjectMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

7. #### val agentDetails: Option[AgentDetails]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val goodsArrivalDateTime: Option[String]

14. #### val goodsDepartureDateTime: Option[String]

15. #### val goodsLocation: String

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val masterOpt: Option[String]

18. #### val masterUCR: Option[String]

19. #### val messageCode: String

20. #### val movementReference: Option[String]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val shedOPID: Option[String]

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toProperties: Map[String, String]

27. #### def toXml: String

28. #### val transportDetails: Option[TransportDetails]

29. #### val ucrBlock: UcrBlock

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped